/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package xml2rtf.xml;

import java.io.*;
import java.util.StringTokenizer;

public class XmlStringTokenizer 
	extends XmlTokenizer
{
    public XmlStringTokenizer(String s)
    {
       //***** Tokenize string *****
       _st = new StringTokenizer(s, "<>", true);
    }

    public String getNextToken()
    {
        if (_st == null || !_st.hasMoreTokens())
        		return null;
        return _st.nextToken();
    }
    
}